MsWrdStruct::Table Struct Reference

the table in a Microsoft Word file More...

`#include <MsWrdStruct.hxx>`

## Classes

struct | Cell
| the cells definitions in a Microsoft Word Table More...

## Public Member Functions

| Table ()
| constructor
void | insert (Table const &table)
| insert the new values
bool | read (MWAWInputStreamPtr &input, long endPos)
| try to read a data
MWAWVariable< Cell > & | getCell (int id)
| returns the ith Cell

## Public Attributes

MWAWVariable< float > | m_height
| the row height in inches
MWAWVariable< MWAWParagraph::Justification > | m_justify
| the justification
MWAWVariable< float > | m_indent
| the indent
MWAWVariable< std::vector< float > > | m_columns
| the table columns
MWAWVariable< std::vector< float > > | m_columnsWidthMod
| the columns width modifier
std::vector< MWAWVariable< Cell > > | m_cells
| the table cells
MWAWVariable< Cell > | m_badCell
| empty cell used by getCell to return unknown cell
std::string | m_extra
| the errors

## Friends

std::ostream & | operator<< (std::ostream &o, Table const &table)
| operator<<

## Detailed Description

the table in a Microsoft Word file

## Constructor & Destructor Documentation

## Table()

MsWrdStruct::Table::Table | ( |  | ) |

inline

constructor

Referenced by insert(), and operator<<.

## Member Function Documentation

## getCell()

MWAWVariable< Table::Cell > & MsWrdStruct::Table::getCell | ( | int | id | ) |

returns the ith Cell

Referenced by read().

## insert()

void MsWrdStruct::Table::insert | ( | Table const & | table | ) |

insert the new values

## read()

bool MsWrdStruct::Table::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos )

try to read a data

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Table const & | table )

friend

operator<<

## Member Data Documentation

## m_badCell

MWAWVariable<Cell> MsWrdStruct::Table::m_badCell

empty cell used by getCell to return unknown cell

Referenced by getCell(), and Table().

## m_cells

std::vector<MWAWVariable<Cell> > MsWrdStruct::Table::m_cells

the table cells

Referenced by getCell(), insert(), operator<<, read(), and Table().

## m_columns

MWAWVariable<std::vector<float> > MsWrdStruct::Table::m_columns

the table columns

Referenced by insert(), operator<<, read(), and Table().

## m_columnsWidthMod

MWAWVariable<std::vector<float> > MsWrdStruct::Table::m_columnsWidthMod

the columns width modifier

Referenced by insert(), operator<<, read(), and Table().

## m_extra

std::string MsWrdStruct::Table::m_extra

the errors

Referenced by insert(), operator<<, read(), and Table().

## m_height

MWAWVariable<float> MsWrdStruct::Table::m_height

the row height in inches

Referenced by insert(), operator<<, read(), and Table().

## m_indent

MWAWVariable<float> MsWrdStruct::Table::m_indent

the indent

Referenced by insert(), operator<<, read(), and Table().

## m_justify

MWAWVariable<MWAWParagraph::Justification> MsWrdStruct::Table::m_justify

the justification

Referenced by insert(), operator<<, read(), and Table().

The documentation for this struct was generated from the following files:

- MsWrdStruct.hxx
- MsWrdStruct.cxx